SCRAPY-WS(1)

NAME
scrapy-ws - Python Scrapy web service control script

SYNOPSIS
scrapy-ws [-P|-H] action ...

DESCRIPTION

Example script to control and monitor Scrapy using its web service. It only provides a reduced functionality as its main purpose is to illustrate how to write a web service client. Feel free to improve or write you own.

OPTIONS

-H  Scrapy host to connect to. (default: localhost)

-P  Scrapy port to connect to. (default: 6080)

help
    List of available commands

run <spider_name>
    Schedule spider for running

stop <spider>
    Stop a running spider

list-running
    List running spiders

list-available
    List name of available spiders

list-resources
    List available web service resources

list-extensions
    List enabled extensions

get-spider-stats <spider>
    Get stats of a running spider

get-global-stats
    Get global stats

AUTHOR
Scrapy-ws was written by the Scrapy Developers <scrapy-developers@googlegroups.com>.

This manual page was written by Ignace Mouzannar <mouzannar@gmail.com>, for the Debian project (but may be used by others).